.\"
.\" Copyright (c) 2003, 2004 Gordon D. Carrie.  All rights reserved.
.\" 
.\" Licensed under the Open Software License version 2.1
.\" 
.\" Please address questions and bug reports to user0@tkgeomap.org.
.\" 
.\" @(#) $Id: psc2tkgm.n,v 1.3 2004/09/22 22:37:16 tkgeomap Exp $
.\"
.TH psc2tkgm n 2 Tcl "Tkgeomap supplementary applications"
.SH NAME
psc2tkgm \- reformat output from GMT pscoast for use with tkgeomap
.SH VERSION
2
.SH SYNOPSIS
\fBgeomap::lnarr fmbin\fR \fIlnArrName\fR \fB"|pscoast -M bos\fR \fIoptions\fR \fB| psc2tkgm"\fR
.SH DESCRIPTION
This application reads stdin from the output of '\fBpscoast -M -bos\fR ...'
and writes the data to stdout in a format readable to tkgeomap's
\fBgeomap::lnarr fmbin\fR command.  Go to http://tkgeomap.sourceforge.net
for more information on tkgeomap.  \fBpscoast\fR is a GMT utility that
prints line data for various data sets to standard output. The \fB-M -bos\fR
options tell \fBpscoast\fR to send latitude longitude value to standard output
in single precision as a binary stream.  Additional \fIoptions\fR specify the
desired data and region.  See the GMT user documentation for allowed values.
.PP
For example, the following commands loads coastal data for the entire world at
low resolution into a linearray named \fBgcoast\fR:
.RS
\fBgeomap::lnarr fmbin gcoast "|pscoast  -M -bos -Dl -W -R-180/180/-90/90 | psc2tkgm"\fR
.RE
.SH AUTHOR
Gordon Carrie tkgeomap@users.sourceforge.net
